<form class="section" [formGroup]="vcsReferralsPlacementsFormGroup">
  <div fxLayout="column" flex class="vcs-referrals-placements-inner-client-banner" style="margin-top: 10px">
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="start" class="inner-banner-row">
      <span fxLayout="row">
        <span>
          <b>VCS Client # :</b>
          &nbsp;
          {{ vcsClientData ? vcsClientData.vcsClientID : '' }}
        </span>
        <span>
          <b>Name :</b>
          &nbsp;
          {{ vcsClientData ? (vcsClientData.lastName + ', ' + vcsClientData.firstName | uppercase) : '' }}
        </span>
        <span>
          <b>Social Security # :</b>
          &nbsp;
          {{ vcsClientData ? (vcsClientData.ssn | mask: '000-00-0000') : '' }}
        </span>
        <span>
          <b>Date of Birth :</b>
          &nbsp;
          {{ vcsClientData ? vcsClientData.dob : '' }}
        </span>
        <span>
          <b>Gender :</b>
          &nbsp;
          {{ vcsClientData ? vcsClientData.genderTypeDescription : '' }}
        </span>
        <span>
          <b>CIN :</b>
          &nbsp;
          {{ vcsClientData ? vcsClientData.cin : '' }}
        </span>
      </span>
    </div>
  </div>
  <mat-tab-group dynamicHeight>
    <!--VCS Referrals-->
    <mat-tab>
      <ng-template matTabLabel>
        <span>VCS Referrals</span>
      </ng-template>
      <ng-template matTabContent>
        <mat-card class="mat-elevation-z0" style="padding: 0">
          <ag-grid-angular style="width: 100%" class="ag-theme-balham vcs-referrals-placement-grid"
            [rowData]="vcsReferralsRowData" [columnDefs]="vcsReferralsColumnDefs"
            (gridReady)="vcsReferralsOnGridReady($event)" [floatingFilter]="true" [animateRows]="false"
            [overlayNoRowsTemplate]="vcsReferralsOverlayNoRowsTemplate" [defaultColDef]="vcsReferralsDefaultColDef"
            [pagination]="true" [paginationPageSize]="10">
          </ag-grid-angular>
        </mat-card>
      </ng-template>
    </mat-tab>
    <!--VCS Placements-->
    <mat-tab>
      <ng-template matTabLabel>
        <span>VCS Placements</span>
      </ng-template>
      <ng-template matTabContent>
        <mat-card class="mat-elevation-z0" style="padding: 0">
          <ag-grid-angular style="width: 100%" class="ag-theme-balham vcs-referrals-placement-grid"
            [rowData]="vcsPlacementsRowData" [columnDefs]="vcsPlacementsColumnDefs"
            (gridReady)="vcsPlacementsOnGridReady($event)" [floatingFilter]="true" [animateRows]="false"
            [overlayNoRowsTemplate]="vcsPlacementsOverlayNoRowsTemplate" [defaultColDef]="vcsPlacementsDefaultColDef"
            [pagination]="true" [paginationPageSize]="10">
          </ag-grid-angular>
        </mat-card>
      </ng-template>
    </mat-tab>
  </mat-tab-group>
</form>